# -*- coding: utf-8 -*-
"""
Python-Programm: PictureResize

1. Argument Input-Bild Dateiname, das bearbeitet wird, png, jpg, ...
2. Argument Output-Bild Dateiname, png, jpg, ... Bildtyp muss nicht gleich sein, wie Input-Bild
3. Argument: neue Bildbreite 
Beispiel-Aufruf: python projekt3.py Bild1h.jpg output.png 2000

Info: Größenverhältnis wird beibehalten

"""

from PIL import Image
import argparse

def PictureResize(input, output, nwidth):
    img = Image.open(input) # Bild öffnen
    width, height = img.size         # Bildgroße (Breite, Höhe) in Pixel in Variable speichern
    print('width=',width,'height=',height) # Bildgröße in px (Pixel)

    # Neue Grösse
    new_width=nwidth
    new_height=int(new_width/width*height) # Bild-Größenverhältnis behalten, um Verzerrung zu verhindern, as integer
    print('new_width=',new_width,'new_height=',new_height)

    # Bild bearbeiten
    img = img.resize((new_width, new_height), Image.ANTIALIAS)
    img.save(output) # format may what you want *.png, *jpg, *.gif
    print(input,'saved as',output)

# Argument Parser, um Commando-Zeilen Argumente zu verarbeiten
parser = argparse.ArgumentParser()
parser.add_argument('input', metavar='N', type=str, nargs=1)
parser.add_argument('output', metavar='N', type=str, nargs=1)
parser.add_argument('width', metavar='N', type=int, nargs=1)
args = parser.parse_args()
PictureResize(args.input[0],args.output[0],args.width[0])